Summary: A color VT102 terminal emulator for the X Window System.
Name: rxvt-CLE
Serial: 3
Version: 2.7.1
Release: 12mdk
Copyright: distributable
Group: Terminals
BuildRequires: XFree86-devel xpm-devel utempter-devel
Source: ftp://ftp.rxvt.org/pub/rxvt/rxvt-%{version}.tar.bz2
Source1: rxvt.sh
Source2: rxvt-zh.menu
Source3: rxvt-CLE-mini.xpm
Source4: rxvt-CLE.xpm
Source5: rxvt-CLE-large.xpm
Patch0: rxvt-2.7.1.font.patch
Patch1: rxvt-2.7.1-19991015.diff.gz
Patch2: rxvt-2.7.1-utempter.patch
Buildroot: %{_tmppath}/%{name}-root
URL: http://www.rxvt.org/
Obsoletes: crxvt gbrxvt

%description
Rxvt is a color VT102 terminal emulator for the X Window System.
Rxvt is intended to be an xterm replacement for users who don't need
the more esoteric features of xterm, like Tektronix 4014 emulation,
session logging and toolkit style configurability.  Since it doesn't
support those features, rxvt uses much less swap space than xterm
uses.  This is a significant advantage on a machine which is serving
a large number of X sessions.

The rxvt package should be installed on any machine which serves a
large number of X sessions, if you'd like to improve that machine's
performance.

This version of rxvt can display Japanese, Chinese (Big5 and GuoBiao) 
and Korean.

%prep
%setup -n rxvt-%{version}
%patch0 -p1 -b .font
%patch1 -p1
%patch2 -p1 -b .utmp

%build
# NeXT scrollbar is cool :)
CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -DUTEMPTER" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=/usr/X11R6 \
	--enable-xpm-background --enable-menubar --enable-xgetdefault \
	--enable-utmp --enable-ttygid \
	--enable-transparency --enable-next-scroll \
	--enable-xim --enable-languages

# make -j doesn't works... seems some Makefile tasks are done in wrong order
#make -j 2
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/man/man1
make prefix=$RPM_BUILD_ROOT/usr/X11R6 install
mv $RPM_BUILD_ROOT/usr/X11R6/bin/rxvt $RPM_BUILD_ROOT/usr/X11R6/bin/rxvt.bin
install -m 644 doc/rxvt.1 $RPM_BUILD_ROOT/usr/X11R6/man/man1
rm -f doc/rxvt.1

install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/usr/X11R6/bin

# (fg) 20000925 Make the necessary links
( cd $RPM_BUILD_ROOT/usr/X11R6/bin;
  for i in {gb,c,j,k}rxvt; do
		ln rxvt.sh $i
  done
)

mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/rxvt
install -m 644 $RPM_SOURCE_DIR/rxvt-zh.menu $RPM_BUILD_ROOT/%{_sysconfdir}/rxvt

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << "EOF" > $RPM_BUILD_ROOT%{_menudir}/rxvt-CLE
?package(rxvt-CLE):\
  needs="X11"\
  section="Terminals"\
  title="RXVT-CLE"\
  longtitle="A version of the rxvt terminal with support for Tranditional Chinese, Simplified Chinese, Japanese and Korean."\
  command="/usr/X11R6/bin/rxvt.sh" \
  icon="rxvt-CLE.xpm"
EOF

# (fg) 20000929 New icons from ln
mkdir -p $RPM_BUILD_ROOT/%{_iconsdir}/{large,mini}
install -m644 %{SOURCE3} $RPM_BUILD_ROOT/%{_miconsdir}/rxvt-CLE.xpm
install -m644 %{SOURCE4} $RPM_BUILD_ROOT/%{_iconsdir}
install -m644 %{SOURCE5} $RPM_BUILD_ROOT/%{_liconsdir}/rxvt-CLE.xpm

%post
if [ ! -x /usr/X11R6/bin/rxvt ]; then
	ln -s rxvt.sh /usr/X11R6/bin/rxvt
fi

%{update_menus}

%postun
if [ "$1" = "0" ]; then
   if [ -L /usr/X11R6/bin/rxvt ]; then
	rm /usr/X11R6/bin/rxvt
   fi
fi

%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/*
/usr/X11R6/bin/*rxvt*
%config(missingok,noreplace) /etc/rxvt/rxvt-zh.menu
%{_menudir}/rxvt-CLE
%{_iconsdir}/rxvt-CLE.xpm
%{_liconsdir}/rxvt-CLE.xpm
%{_miconsdir}/rxvt-CLE.xpm

%changelog

* Fri Sep 29 2000 Francis Galiegue <fg@mandrakesoft.com> 2.7.1-12mdk

- New icons from LN

* Tue Sep 26 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.7.1-11mdk
- LD_PRELOAD libX11 to prevent segfault on some non -lX11 programs. :(

* Mon Sep 25 2000 Francis Galiegue <fg@mandrakesoft.com> 2.7.1-10mdk

- Don't install manpages - they conflict with rxvt

* Mon Sep 25 2000 Francis Galiegue <fg@mandrakesoft.com> 2.7.1-9mdk

- No icon for now :( Waiting for ln...
- Many spec file fixes
- File list fixes

* Tue Sep 19 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.7.1-8mdk
- perl -pi -e "s|/usr/share/chinese|/usr/lib/chinese|" *;

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.7.1-7mdk
- automatically added BuildRequires

* Wed May 10 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- small change to scritp so chinese rxvt menu shows correctly
- added lontitle for 'menu' 
- fixed menu section

* Mon Apr  3 2000 Adam Lebsack <adam@mandrakesoft.com> 2.7.1-5mdk
- Menu Entry

* Fri Dec 10 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- changed various scripts to enable out of the box Japanese and Korean support

* Tue Dec  7 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- made a few changes to avoid conflicts with standard rxvt if present

* Mon Nov 22 1999 Andrew Lee <Andrew@nssh.tpc.edu.tw>
- rebuild for mandrake

* Sun Oct 24 1999 Chih-Wei Huang <cwhuang@linux.org.tw>
- added utempter patch
- fixed gbrxvt wmconfig bug
- added menu for GNOME & KDE

* Fri Oct 15 1999 Chih-Wei Huang <cwhuang@linux.org.tw>
- fixed but with icewm
- added crxvt & gbrxvt wmconfig
- made default fonts to be normal

* Wed Oct  6 1999 Chih-Wei Huang <cwhuang@linux.org.tw>
- upgraded to 2.7.1

* Sun Aug 22 1999 Chih-Wei Huang <cwhuang@linux.org.tw>
- use two binaries again
- change rxvt to a script

* Tue Aug 17 1999 Chih-Wei Huang <cwhuang@linux.org.tw>
- copy & paste bug fixed
- use one binary for Big5 and GB encoding

* Fri Jul 30 1999 Chih-Wei Huang <cwhuang@linux.org.tw>
- let crxvt & gbrxvt be the same file (hard link)

* Sat Jul 24 1999 Chih-Wei Huang <cwhuang@linux.org.tw>
- mirror menu and script modified

* Thu Jul 22 1999 Chih-Wei Huang <cwhuang@linux.org.tw>
- fixed XIM focus bug (thhsieh)
- added rxvt menu and scripts, obsoleted crxvt 
- removed rxvt.1 from %doc

* Tue Jun 15 1999 Chih-Wei Huang <cwhuang@linux.org.tw>
- upgraded to 2.6.0
- removed GB patch (already including in this release)
- fixed a small bug of GB support

* Thu May 27 1999 Chih-Wei Huang <cwhuang@linux.org.tw>
- the GB patch cannot coexist with Big5, so make two binaries is necessary

* Fri May 21 1999 Chih-Wei Huang <cwhuang@linux.org.tw>
- added GB patch from <hashao@china.com>

* Thu May 20 1999 Chih-Wei Huang <cwhuang@linux.org.tw>
- upgraded to PRE4

* Thu Mar 25 1999 Erik Troan <ewt@redhat.com>
- added unix98 pty support

* Wed Mar 24 1999 Erik Troan <ewt@redhat.com>
- updated for utmpwrap

* Tue Mar 23 1999 Michael Johnson <johnsonm@redhat.com>
- added back the "old" alt-< and alt-> font change behaviour
- put the manpage in the right place

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Mon Mar 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 2.6.PRE2.  Marked as unstable, but rxvt is always unstable...

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Wed Dec 30 1998 Jeff Johnson <jbj@redhat.com>
- fix glibc-2.1 utmpx compilation problem -- add -D_GNU_SOURCE (#638).

* Mon Dec 21 1998 Preston Brown <pbrown@redhat.com>
- bumped spec # for 6.0 build

* Wed Sep 30 1998 Bill Nottingham <notting@redhat.com>
- fix to enable keypad

* Tue Sep 08 1998 Cristian Gafton <gafton@redhat.com>
- version 2.4.7
- old version used to be called 2.20, so now we are Serial: 1

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Nov 07 1997 Michael K. Johnson <johnsonm@redhat.com>
- no paths in wmconfig files.

* Thu Oct 23 1997 Michael K. Johnson <johnsonm@redhat.com>
- added wmconfig

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Mon Mar 31 1997 Michael K. Johnson <johnsonm@redhat.com>
- make rxvt use standard XGetDefault instead of built-in one.
